#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests

%define 	module	stevedore
Summary:	Manage dynamic plugins for Python applications
Summary(pl.UTF-8):	Zarządzanie dynamicznymi wtyczkami dla aplikacji Pythona
Name:		python3-%{module}
Version:	5.4.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/stevedore/
Source0:	https://files.pythonhosted.org/packages/source/s/stevedore/stevedore-%{version}.tar.gz
# Source0-md5:	d8ce49d9a513d454bec0e897ce10062b
URL:		https://pypi.org/project/stevedore/
BuildRequires:	python3-pbr >= 2.0.0
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-coverage >= 4.0
#BuildRequires:	python3-mock >= 2.0.0
BuildRequires:	python3-six >= 1.10.0
BuildRequires:	python3-stestr >= 2.0.0
BuildRequires:	sphinx-pdg-3 >= 1.7.0
%endif
%if %{with doc}
BuildRequires:	python3-openstackdocstheme >= 1.11.0
BuildRequires:	python3-reno >= 2.5.0
BuildRequires:	sphinx-pdg-3 >= 1.7.0
%endif
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Manage dynamic plugins for Python applications.

%description -l pl.UTF-8
Zarządzanie dynamicznymi wtyczkami dla aplikacji Pythona.

%package apidocs
Summary:	API documentation for Python stevedore module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona stevedore
Group:		Documentation

%description apidocs
API documentation for Python stevedore module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona stevedore.

%prep
%setup -q -n stevedore-%{version}

%build
%py3_build %{?with_tests:test}

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html doc/source doc/source/_build/html
%endif

%install

rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/stevedore/tests
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/stevedore/example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.rst ChangeLog README.rst
%{py3_sitescriptdir}/stevedore
%{py3_sitescriptdir}/stevedore-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/source/_build/html/{_images,_static,install,reference,user,*.html,*.js}
%endif
%changelog
* Thu May 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-stevedore.git;a=log;h=master

* Thu May 22 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 29356b8
- Up to 5.4.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c93a92d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> dab1ef1
- python 3.13 rebuild

* Sun Jan 14 2024 Jakub Bogusz <qboosh@pld-linux.org> ba17672
- updated to 1.32.0, added -apidocs

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d6348ed
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e5f48ce
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> b8424e6
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 27bb32f
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 647a7d3
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 5c63773
- Version: 1.25.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> cd1d130
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 87ab386
- automatic change: use py_build/py_install macros

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> c552d42
- and examples

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 2a31341
- don't package tests

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 96a5e34
- new, version 1.1.0

